<template lang='pug'>
Example(title='ModalLoader Example' :maxState="1")
  template(v-slot:description)
    h5 This is a ModalLoader example
    p
      | This component fades its container content and prevents the whole area from
      | being clicked.
    p
      | The loader will expand to fit its first #[tt relative] or #[tt absolute]
      | positioned parent.
    p #[strong Note:] it does not prevent keyboard interaction.
    p Click on the #[em animate] to change its state.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        li #[strong.text-info isLoading: ] a boolean flag that enables/disables the modal
    div #[strong Slots:]
      ul
        li #[strong.text-info default: ] replaces the spinner icon
  template(v-slot:code)
    template(v-pre).
      div.position-relative
        BaseModalLoader(:isLoading='state === 1')
        BaseCard(title='ModalLoader Card')
          li(key='0')
            | Simple card content
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleCard",
  components: { Example }
};

</script>
